---
title: DOMPointInit
slug: Web/API/DOMPointInit
tags:
  - API
  - Coordinates
  - DOM
  - DOMPointInit
  - Dictionary
  - Geometry
  - Geometry Interfaces
  - Interface
  - Point
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p><span class="seoSummary">The <code><strong>DOMPointInit</strong></code> dictionary is used to provide the values of the coordinates and perspective when creating and JSONifying a {{domxref("DOMPoint")}} or {{domxref("DOMPointReadOnly")}} object.</span></p>

<p>It's used as an input parameter to the <code>DOMPoint</code>/<code>DOMPointReadOnly</code> method {{domxref("DOMPointReadOnly.fromPoint", "fromPoint()")}}. It's used as the return value when calling {{domxref("DOMPointReadOnly.toJSON", "toJSON()")}}.</p>

<h2 id="Properties">Properties</h2>

<dl>
	<dt>{{domxref("DOMPointInit.x")}}</dt>
	<dd>An unrestricted floating-point value indicating the <code>x</code>-coordinate of the point in space. This is generally the horizontal coordinate, with positive values being to the right and negative values to the left. The default value is <code>0</code>.</dd>
	<dt>{{domxref("DOMPointInit.y")}}</dt>
	<dd>An unrestricted floating-point number providing the point's <code>y</code>-coordinate. This is the vertical coordinate, and barring any transforms applied to the coordinate system, positive values are downward and negative values upward toward the top of the screen. The default is <code>0</code>.</dd>
	<dt>{{domxref("DOMPointInit.z")}}</dt>
	<dd>An unrestricted floating-point value which gives the point's <code>z</code>-coordinate, which is (assuming no transformations that alter the situation) the depth coordinate; positive values are closer to the user and negative values retreat back into the screen. The default value is <code>0</code>.</dd>
	<dt>{{domxref("DOMPointInit.w")}}</dt>
	<dd>The point's <code>w</code> perspective value, given as an unrestricted floating-point number. The default is <code>1</code>.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>This example creates a new <code>DOMPoint</code> representing the top-left corner of the current window, with a <code>z</code> component added to move the point closer to the user. This same code will work to create a <code>DOMPointReadOnly</code> object; just change the interface name in the code.</p>

<pre class="brush: js">const pointDesc = {
  x: window.screenX,
  y: window.screenY,
  z: 5.0
};

const windTopLeft = DOMPoint.fromPoint(pointDesc)</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('Geometry Interfaces', '#dom-dompointreadonly-frompoint', 'DOMPointReadOnly.fromPoint()')}}</td>
			<td>{{Spec2('Geometry Interfaces')}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DOMPointInit")}}</p>
